diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/peer-management-protocol.h ns-3.44/src/mesh/model/dot11s/peer-management-protocol.h
--- ns-3.43/src/mesh/model/dot11s/peer-management-protocol.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/peer-management-protocol.h	2025-03-09 16:55:49.639372000 -0700
@@ -36,9 +36,9 @@
 class IeConfiguration;
 
 /**
- * \ingroup dot11s
+ * @ingroup dot11s
  *
- * \brief 802.11s Peer Management Protocol model
+ * @brief 802.11s Peer Management Protocol model
  */
 class PeerManagementProtocol : public Object
 {
@@ -51,15 +51,15 @@
     PeerManagementProtocol& operator=(const PeerManagementProtocol&) = delete;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     void DoDispose() override;
     /**
-     * \brief Install PMP on given mesh point.
-     * \param mp the MeshPointDevice to install onto
-     * \return true if successful
+     * @brief Install PMP on given mesh point.
+     * @param mp the MeshPointDevice to install onto
+     * @return true if successful
      *
      * Installing protocol causes installation of its interface MAC plugins.
      *
@@ -68,24 +68,24 @@
      */
     bool Install(Ptr<MeshPointDevice> mp);
     /**
-     * \brief Methods that handle beacon sending/receiving procedure.
+     * @brief Methods that handle beacon sending/receiving procedure.
      *
-     * \name This methods interact with MAC_layer plug-in
+     * @name This methods interact with MAC_layer plug-in
      */
     ///@{
     /**
-     * \brief When we are sending a beacon - we fill beacon timing
+     * @brief When we are sending a beacon - we fill beacon timing
      * element
-     * \return IeBeaconTiming is a beacon timing element that should be present in beacon
-     * \param interface is a interface sending a beacon
+     * @return IeBeaconTiming is a beacon timing element that should be present in beacon
+     * @param interface is a interface sending a beacon
      */
     Ptr<IeBeaconTiming> GetBeaconTimingElement(uint32_t interface);
     /**
-     * \brief To initiate peer link we must notify about received beacon
-     * \param interface the interface where a beacon was received from
-     * \param peerAddress address of station, which sent a beacon
-     * \param beaconInterval beacon interval (needed by beacon loss counter)
-     * \param beaconTiming beacon timing element (needed by BCA)
+     * @brief To initiate peer link we must notify about received beacon
+     * @param interface the interface where a beacon was received from
+     * @param peerAddress address of station, which sent a beacon
+     * @param beaconInterval beacon interval (needed by beacon loss counter)
+     * @param beaconTiming beacon timing element (needed by BCA)
      */
     void ReceiveBeacon(uint32_t interface,
                        Mac48Address peerAddress,
@@ -94,19 +94,19 @@
     ///@}
 
     /**
-     * \name Methods that handle Peer link management frames interaction:
+     * @name Methods that handle Peer link management frames interaction:
      */
     ///@{
     /**
      * Deliver Peer link management information to the protocol-part
-     * \param interface is a interface ID of a given MAC (interfaceID rather than MAC address,
+     * @param interface is a interface ID of a given MAC (interfaceID rather than MAC address,
      * because many interfaces may have the same MAC)
-     * \param peerAddress is address of peer
-     * \param peerMeshPointAddress is address of peer mesh point device (equal to peer address when
+     * @param peerAddress is address of peer
+     * @param peerMeshPointAddress is address of peer mesh point device (equal to peer address when
      * only one interface)
-     * \param aid is association ID, which peer has assigned to us
-     * \param peerManagementElement is peer link management element
-     * \param meshConfig is mesh configuration element taken from the peer management frame
+     * @param aid is association ID, which peer has assigned to us
+     * @param peerManagementElement is peer link management element
+     * @param meshConfig is mesh configuration element taken from the peer management frame
      */
     void ReceivePeerLinkFrame(uint32_t interface,
                               Mac48Address peerAddress,
@@ -115,101 +115,101 @@
                               IePeerManagement peerManagementElement,
                               IeConfiguration meshConfig);
     /**
-     * \brief Cancels peer link due to broken configuration (Mesh ID or Supported
+     * @brief Cancels peer link due to broken configuration (Mesh ID or Supported
      * rates)
-     * \param interface interface of the link to cancel
-     * \param peerAddress peer address of the link to cancel
+     * @param interface interface of the link to cancel
+     * @param peerAddress peer address of the link to cancel
      */
     void ConfigurationMismatch(uint32_t interface, Mac48Address peerAddress);
     /**
-     * \brief Cancels peer link due to successive transmission failures
-     * \param interface interface of the link to cancel
-     * \param peerAddress peer address of the link to cancel
+     * @brief Cancels peer link due to successive transmission failures
+     * @param interface interface of the link to cancel
+     * @param peerAddress peer address of the link to cancel
      */
     void TransmissionFailure(uint32_t interface, const Mac48Address peerAddress);
     /**
-     * \brief resets transmission failure statistics
-     * \param interface interface of the link to reset
-     * \param peerAddress peer address of the link to reset
+     * @brief resets transmission failure statistics
+     * @param interface interface of the link to reset
+     * @param peerAddress peer address of the link to reset
      */
     void TransmissionSuccess(uint32_t interface, const Mac48Address peerAddress);
     /**
-     * \brief Checks if there is established link
-     * \param interface interface of the link to check
-     * \param peerAddress peer address of the link to check
-     * \return true if the link is active
+     * @brief Checks if there is established link
+     * @param interface interface of the link to check
+     * @param peerAddress peer address of the link to check
+     * @return true if the link is active
      */
     bool IsActiveLink(uint32_t interface, Mac48Address peerAddress);
     ///@}
 
-    /// \name Interface to other protocols (MLME)
+    /// @name Interface to other protocols (MLME)
     ///@{
     /**
      * Set peer link status change callback
-     * \param cb the callback
+     * @param cb the callback
      */
     void SetPeerLinkStatusCallback(Callback<void, Mac48Address, Mac48Address, uint32_t, bool> cb);
     /**
      * Find active peer link by my interface and peer interface MAC
-     * \param interface interface of the link to find
-     * \param peerAddress peer address of the link to find
-     * \return The peer link (null if not found)
+     * @param interface interface of the link to find
+     * @param peerAddress peer address of the link to find
+     * @return The peer link (null if not found)
      */
     Ptr<PeerLink> FindPeerLink(uint32_t interface, Mac48Address peerAddress);
     /**
      * Get list of all active peer links
-     * \return a list of all the active peer links
+     * @return a list of all the active peer links
      */
     std::vector<Ptr<PeerLink>> GetPeerLinks() const;
     /**
      * Get list of active peers of my given interface
-     * \param interface the interface
-     * \return a list of all the active peer links on an interface
+     * @param interface the interface
+     * @return a list of all the active peer links on an interface
      */
     std::vector<Mac48Address> GetPeers(uint32_t interface) const;
     /**
      * Get mesh point address. \todo this used by plugins only. Now MAC plugins can ask MP address
      * directly from main MAC
      *
-     * \return Mac48Address
+     * @return Mac48Address
      */
     Mac48Address GetAddress();
     /**
      * Get number of links
-     * \returns the number of links
+     * @returns the number of links
      */
     uint8_t GetNumberOfLinks() const;
     /**
      * Set mesh ID to a string value
-     * \param s the mesh ID string value
+     * @param s the mesh ID string value
      */
     void SetMeshId(std::string s);
     /**
      * Get mesh ID information element
-     * \returns the mesh ID information element
+     * @returns the mesh ID information element
      */
     Ptr<IeMeshId> GetMeshId() const;
     /**
      * Enable or disable beacon collision avoidance
-     * \param enable true to enable beacon collision avoidance
+     * @param enable true to enable beacon collision avoidance
      */
     void SetBeaconCollisionAvoidance(bool enable);
     /**
      * Get beacon collision avoidance
-     * \returns the beacon collision avoidance flag
+     * @returns the beacon collision avoidance flag
      */
     bool GetBeaconCollisionAvoidance() const;
     /**
      * Notify about beacon send event, needed to schedule BCA
-     * \param interface the interface to use
-     * \param beaconInterval the beacon interval
+     * @param interface the interface to use
+     * @param beaconInterval the beacon interval
      */
     void NotifyBeaconSent(uint32_t interface, Time beaconInterval);
     ///@}
 
     /**
-     * \brief Report statistics
-     * \param os the output stream
+     * @brief Report statistics
+     * @param os the output stream
      */
     void Report(std::ostream& os) const;
     /// Reset statistics function
@@ -219,16 +219,16 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
     /**
      * TracedCallback signature for link open/close events.
      *
-     * \param [in] src MAC address of source interface.
-     * \param [in] dst MAC address of destination interface.
+     * @param [in] src MAC address of source interface.
+     * @param [in] dst MAC address of destination interface.
      */
     typedef void (*LinkOpenCloseTracedCallback)(Mac48Address src, const Mac48Address dst);
 
@@ -252,46 +252,46 @@
     typedef std::map<uint32_t, PeerLinksOnInterface> PeerLinksMap;
     /// This map keeps relationship between peer address and its beacon information
     typedef std::map<Mac48Address, BeaconInfo> BeaconsOnInterface;
-    /// \brief This map keeps beacon information on all interfaces
+    /// @brief This map keeps beacon information on all interfaces
     typedef std::map<uint32_t, BeaconsOnInterface> BeaconInfoMap;
-    /// \brief this vector keeps pointers to MAC-plugins
+    /// @brief this vector keeps pointers to MAC-plugins
     typedef std::map<uint32_t, Ptr<PeerManagementProtocolMac>> PeerManagementProtocolMacMap;
 
     /**
      * Initiate link function
      *
-     * \param interface the interface to use
-     * \param peerAddress the peer address
-     * \param peerMeshPointAddress the peer mesh point address
-     * \returns the peer link
+     * @param interface the interface to use
+     * @param peerAddress the peer address
+     * @param peerMeshPointAddress the peer mesh point address
+     * @returns the peer link
      */
     Ptr<PeerLink> InitiateLink(uint32_t interface,
                                Mac48Address peerAddress,
                                Mac48Address peerMeshPointAddress);
     /**
-     * \brief External peer-chooser
-     * \param interface the interface to use
-     * \param peerAddress the peer address
-     * \returns true is should send an open
+     * @brief External peer-chooser
+     * @param interface the interface to use
+     * @param peerAddress the peer address
+     * @returns true is should send an open
      */
     bool ShouldSendOpen(uint32_t interface, Mac48Address peerAddress) const;
     /**
-     * \brief External peer-chooser
-     * \param interface the interface to use
-     * \param peerAddress the peer address
-     * \param reasonCode reason code
-     * \returns true is should send an open
+     * @brief External peer-chooser
+     * @param interface the interface to use
+     * @param peerAddress the peer address
+     * @param reasonCode reason code
+     * @returns true is should send an open
      */
     bool ShouldAcceptOpen(uint32_t interface,
                           Mac48Address peerAddress,
                           PmpReasonCode& reasonCode) const;
     /**
-     * \brief Indicates changes in peer links
-     * \param interface the interface
-     * \param peerAddress the peer address
-     * \param peerMeshPointAddress the peer mesh point address
-     * \param ostate old state
-     * \param nstate new state
+     * @brief Indicates changes in peer links
+     * @param interface the interface
+     * @param peerAddress the peer address
+     * @param peerMeshPointAddress the peer mesh point address
+     * @param ostate old state
+     * @param nstate new state
      */
     void PeerLinkStatus(uint32_t interface,
                         Mac48Address peerAddress,
@@ -299,34 +299,34 @@
                         PeerLink::PeerState ostate,
                         PeerLink::PeerState nstate);
     /**
-     * \brief BCA
-     * \param interface interface
+     * @brief BCA
+     * @param interface interface
      */
     void CheckBeaconCollisions(uint32_t interface);
     /**
      * Shift own beacon function
-     * \param interface interface
+     * @param interface interface
      */
     void ShiftOwnBeacon(uint32_t interface);
     /**
-     * \brief Time<-->TU converters:
-     * \param x TU
-     * \return Time
+     * @brief Time<-->TU converters:
+     * @param x TU
+     * @return Time
      */
     Time TuToTime(int x);
     /**
-     * \brief Time<-->TU converters:
-     * \param x Time
-     * \return TU
+     * @brief Time<-->TU converters:
+     * @param x Time
+     * @return TU
      */
     int TimeToTu(Time x);
 
     /**
      * Aux. method to register open links
-     * \param peerMp peer mesh point address
-     * \param peerIface peer address
-     * \param myIface my address
-     * \param interface interface
+     * @param peerMp peer mesh point address
+     * @param peerIface peer address
+     * @param myIface my address
+     * @param interface interface
      */
     void NotifyLinkOpen(Mac48Address peerMp,
                         Mac48Address peerIface,
@@ -334,10 +334,10 @@
                         uint32_t interface);
     /**
      * Aux. method to register closed links
-     * \param peerMp peer mesh point address
-     * \param peerIface peer address
-     * \param myIface my address
-     * \param interface interface
+     * @param peerMp peer mesh point address
+     * @param peerIface peer address
+     * @param myIface my address
+     * @param interface interface
      */
     void NotifyLinkClose(Mac48Address peerMp,
                          Mac48Address peerIface,
@@ -362,11 +362,11 @@
     std::map<uint32_t, Time> m_beaconInterval;
 
     /**
-     * \name Peer Links
+     * @name Peer Links
      */
     PeerLinksMap m_peerLinks;
     /**
-     * \brief Callback to notify about peer link changes:
+     * @brief Callback to notify about peer link changes:
      * Mac48Address is peer address of mesh point,
      * Mac48Address is peer address of interface,
      * uint32_t - interface ID,
@@ -391,12 +391,12 @@
         /**
          * Constructor
          *
-         * \param t
+         * @param t
          */
         Statistics(uint16_t t = 0);
         /**
          * Print function
-         * \param os the output stream to print to
+         * @param os the output stream to print to
          */
         void Print(std::ostream& os) const;
     };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/peer-management-protocol-mac.cc ns-3.44/src/mesh/model/dot11s/peer-management-protocol-mac.cc
--- ns-3.43/src/mesh/model/dot11s/peer-management-protocol-mac.cc	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/peer-management-protocol-mac.cc	2025-03-09 16:55:49.639372000 -0700
@@ -361,7 +361,7 @@
 void
 PeerManagementProtocolMac::SetBeaconShift(Time shift)
 {
-    if (shift != Seconds(0))
+    if (!shift.IsZero())
     {
         m_stats.beaconShift++;
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/peer-management-protocol-mac.h ns-3.44/src/mesh/model/dot11s/peer-management-protocol-mac.h
--- ns-3.43/src/mesh/model/dot11s/peer-management-protocol-mac.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/peer-management-protocol-mac.h	2025-03-09 16:55:49.639372000 -0700
@@ -25,9 +25,9 @@
 class PeerManagementProtocol;
 
 /**
- * \ingroup dot11s
+ * @ingroup dot11s
  *
- * \brief This is plugin to Mesh WiFi MAC, which implements the
+ * @brief This is plugin to Mesh WiFi MAC, which implements the
  * interface to dot11s peer management protocol: it takes proper
  * frames from MAC-layer, extracts peer link management information
  * element and mesh configuration element and passes it to main part
@@ -39,8 +39,8 @@
     /**
      * Constructor
      *
-     * \param interface interface index
-     * \param protocol peer management protocol
+     * @param interface interface index
+     * @param protocol peer management protocol
      */
     PeerManagementProtocolMac(uint32_t interface, Ptr<PeerManagementProtocol> protocol);
     ~PeerManagementProtocolMac() override;
@@ -48,14 +48,14 @@
     // Inherited from plugin abstract class
     /**
      * Set pointer to parent
-     * \param parent Ptr<MeshWifiInterfaceMac>
+     * @param parent Ptr<MeshWifiInterfaceMac>
      */
     void SetParent(Ptr<MeshWifiInterfaceMac> parent) override;
     /**
      * Receive and process a packet
-     * \param packet the packet received
-     * \param header the header
-     * \returns true if received
+     * @param packet the packet received
+     * @param header the header
+     * @returns true if received
      */
     bool Receive(Ptr<Packet> packet, const WifiMacHeader& header) override;
     /**
@@ -63,11 +63,11 @@
      * it returns true if SELF_PROTECTED.  It then checks if it is either
      * a broadcast or sent on an active link, and returns true if so.
      * Otherwise, it returns false (indicating it is to be dropped)
-     * \param packet the packet
-     * \param header the header
-     * \param from the MAC address of the sender
-     * \param to the MAC address of the receiver
-     * \returns true if successful, false if to be dropped
+     * @param packet the packet
+     * @param header the header
+     * @param from the MAC address of the sender
+     * @param to the MAC address of the receiver
+     * @returns true if successful, false if to be dropped
      */
     bool UpdateOutcomingFrame(Ptr<Packet> packet,
                               WifiMacHeader& header,
@@ -75,29 +75,29 @@
                               Mac48Address to) override;
     /**
      * Add beacon timing and mesh ID information elements, and notify beacon sent
-     * \param beacon the beacon
+     * @param beacon the beacon
      */
     void UpdateBeacon(MeshWifiBeacon& beacon) const override;
     /**
      * Assign the streams
-     * \param stream the stream to assign
-     * \return the assigned stream
+     * @param stream the stream to assign
+     * @return the assigned stream
      */
     int64_t AssignStreams(int64_t stream) override;
 
-    /// \name Statistics
+    /// @name Statistics
     ///@{
     /**
-     * \brief Report statistics
-     * \param os the output stream
+     * @brief Report statistics
+     * @param os the output stream
      */
     void Report(std::ostream&) const;
     /// Reset stats
     void ResetStats();
     /**
      * Get the link metric
-     * \param peerAddress the peer address
-     * \return The metric
+     * @param peerAddress the peer address
+     * @return The metric
      */
     uint32_t GetLinkMetric(Mac48Address peerAddress);
     ///@}
@@ -106,8 +106,8 @@
     /**
      * assignment operator
      *
-     * \param peer the object to assign
-     * \returns the assigned value
+     * @param peer the object to assign
+     * @returns the assigned value
      */
     PeerManagementProtocolMac& operator=(const PeerManagementProtocolMac& peer);
     /// type conversion operator
@@ -118,10 +118,10 @@
     /// allow PeerLink class access friend access
     friend class PeerLink;
 
-    /// \name Create peer link management frames
+    /// @name Create peer link management frames
     // \{
     /**
-     * \brief This structure keeps all fields in peer link management frame,
+     * @brief This structure keeps all fields in peer link management frame,
      * which are not subclasses of WifiInformationElement
      */
     struct PlinkFrameStart
@@ -134,55 +134,55 @@
 
     /**
      * Create peer link open frame function
-     * \returns the packet
+     * @returns the packet
      */
     Ptr<Packet> CreatePeerLinkOpenFrame();
     /**
      * Create peer link confirm frame function
-     * \returns the packet
+     * @returns the packet
      */
     Ptr<Packet> CreatePeerLinkConfirmFrame();
     /**
      * Create peer link clode frame function
-     * \returns the packet
+     * @returns the packet
      */
     Ptr<Packet> CreatePeerLinkCloseFrame();
     /**
      * Parses the start of the frame, where no WifiInformationElements exist
-     * \param packet the packet
-     * \returns PlinkFrameStart
+     * @param packet the packet
+     * @returns PlinkFrameStart
      */
     PlinkFrameStart ParsePlinkFrame(Ptr<const Packet> packet);
     // \}
     /**
      *  Closes link when a proper number of successive transmissions have failed
-     * \param reason the reason why the MPDU was dropped
-     * \param mpdu the dropped MPDU
+     * @param reason the reason why the MPDU was dropped
+     * @param mpdu the dropped MPDU
      */
     void TxError(WifiMacDropReason reason, Ptr<const WifiMpdu> mpdu);
     /**
      * Transmit OK function
-     * \param mpdu the MPDU
+     * @param mpdu the MPDU
      */
     void TxOk(Ptr<const WifiMpdu> mpdu);
     // BCA functionality
     /**
      * Set beacon shift function
-     * \param shift the beacon time shift
+     * @param shift the beacon time shift
      */
     void SetBeaconShift(Time shift);
     /**
      * Set peer manager protocol function
-     * \param protocol the peer manager protocol
+     * @param protocol the peer manager protocol
      */
     void SetPeerManagerProtocol(Ptr<PeerManagementProtocol> protocol);
     /**
      * Send peer link management frame function
-     * \param peerAddress the peer MAC address
-     * \param peerMpAddress the peer MP address
-     * \param aid the AID
-     * \param peerElement IePeerManagement
-     * \param meshConfig IeConfiguration
+     * @param peerAddress the peer MAC address
+     * @param peerMpAddress the peer MP address
+     * @param aid the AID
+     * @param peerElement IePeerManagement
+     * @param meshConfig IeConfiguration
      */
     void SendPeerLinkManagementFrame(Mac48Address peerAddress,
                                      Mac48Address peerMpAddress,
@@ -190,8 +190,8 @@
                                      IePeerManagement peerElement,
                                      IeConfiguration meshConfig);
     /**
-     * \brief debug only, used to print established links
-     * \returns the MAC address
+     * @brief debug only, used to print established links
+     * @returns the MAC address
      */
     Mac48Address GetAddress() const;
 
@@ -216,14 +216,14 @@
         Statistics();
         /**
          * Print function
-         * \param os the output stream
+         * @param os the output stream
          */
         void Print(std::ostream& os) const;
     };
 
   private:
     Statistics m_stats; ///< statistics
-    /// \name Information about MAC and protocol:
+    /// @name Information about MAC and protocol:
     Ptr<MeshWifiInterfaceMac> m_parent;     ///< parent
     uint32_t m_ifIndex;                     ///< IF index
     Ptr<PeerManagementProtocol> m_protocol; ///< protocol
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/flame/flame-header.h ns-3.44/src/mesh/model/flame/flame-header.h
--- ns-3.43/src/mesh/model/flame/flame-header.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/flame/flame-header.h	2025-03-09 16:55:49.639372000 -0700
@@ -17,9 +17,9 @@
 namespace flame
 {
 /**
- * \ingroup flame
+ * @ingroup flame
  *
- * \brief Flame header
+ * @brief Flame header
  *
  * Header format: | Reserved: 1 | cost: 1 | Sequence number: 2 | OrigDst: 6 | OrigSrc: 6 | Flame
  * port : 2 |
@@ -32,8 +32,8 @@
     ~FlameHeader() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     // Inherited from Header class:
@@ -46,52 +46,52 @@
     // Seeters/Getters for fields:
     /**
      * Add cost value
-     * \param cost the cost
+     * @param cost the cost
      */
     void AddCost(uint8_t cost);
     /**
      * Get cost value
-     * \returns the cost
+     * @returns the cost
      */
     uint8_t GetCost() const;
     /**
      * Set sequence number value
-     * \param seqno the sequence number
+     * @param seqno the sequence number
      */
     void SetSeqno(uint16_t seqno);
     /**
      * Get sequence number value
-     * \returns the sequence number
+     * @returns the sequence number
      */
     uint16_t GetSeqno() const;
     /**
      * Set origin destination address
-     * \param dst the MAC address of the destination
+     * @param dst the MAC address of the destination
      */
     void SetOrigDst(Mac48Address dst);
     /**
      * Get origin destination address
-     * \returns the MAC address of the destination
+     * @returns the MAC address of the destination
      */
     Mac48Address GetOrigDst() const;
     /**
      * Set origin source function
-     * \param OrigSrc the MAC address of the origina source
+     * @param OrigSrc the MAC address of the origina source
      */
     void SetOrigSrc(Mac48Address OrigSrc);
     /**
      * Get origin source address
-     * \returns the MAC address of the origin source
+     * @returns the MAC address of the origin source
      */
     Mac48Address GetOrigSrc() const;
     /**
      * Set protocol value
-     * \param protocol the protocol
+     * @param protocol the protocol
      */
     void SetProtocol(uint16_t protocol);
     /**
      * Get protocol value
-     * \returns the protocol
+     * @returns the protocol
      */
     uint16_t GetProtocol() const;
 
@@ -104,9 +104,9 @@
     /**
      * equality operator
      *
-     * \param a lhs
-     * \param b rhs
-     * \returns true if equal
+     * @param a lhs
+     * @param b rhs
+     * @returns true if equal
      */
     friend bool operator==(const FlameHeader& a, const FlameHeader& b);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/flame/flame-protocol.cc ns-3.44/src/mesh/model/flame/flame-protocol.cc
--- ns-3.43/src/mesh/model/flame/flame-protocol.cc	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/flame/flame-protocol.cc	2025-03-09 16:55:49.643372000 -0700
@@ -120,7 +120,7 @@
 FlameProtocol::FlameProtocol()
     : m_address(Mac48Address()),
       m_broadcastInterval(Seconds(5)),
-      m_lastBroadcast(Seconds(0)),
+      m_lastBroadcast(),
       m_maxCost(32),
       m_myLastSeqno(1),
       m_rtable(CreateObject<FlameRtable>())
@@ -296,8 +296,7 @@
     // Start PATH_UPDATE procedure if destination is our own address and last broadcast was sent
     // more than broadcast interval ago or was not sent at all
     if ((destination == GetAddress()) &&
-        ((m_lastBroadcast + m_broadcastInterval < Simulator::Now()) ||
-         (m_lastBroadcast == Seconds(0))))
+        ((m_lastBroadcast + m_broadcastInterval < Simulator::Now()) || m_lastBroadcast.IsZero()))
     {
         Ptr<Packet> packet = Create<Packet>();
         m_mp->Send(packet, Mac48Address::GetBroadcast(), 0);
